Bug 146647 - CAN-2005-0089 python SimpleXMLRPCServer security issue
Summary: CAN-2005-0089 python SimpleXMLRPCServer security issue
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Brock Organ
URL:
Whiteboard: impact=important,public=20050202
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-31 14:18 UTC by Josh Bressers
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 20:00:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch for this issue. (4.30 KB, patch)
2005-01-31 14:18 UTC, Josh Bressers
no flags Details | Diff

Description Josh Bressers 2005-01-31 14:18:39 UTC
*** This bug has been split off bug 146645 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.31
09:11 -------

The Python folks have discovered a flaw in SimpleXMLRPCServer that can
affect any XML-RPC servers.  This affects any programs have been written
that allow remote untrusted users to do unrestricted traversal and can
allow them to access or change function internals using the im_* and
func_* attributes.

Comment 1 Josh Bressers 2005-01-31 14:18:40 UTC
Created attachment 110429 [details]
Upstream patch for this issue.

Comment 2 Josh Bressers 2005-01-31 14:20:23 UTC
This issue also affects FC2.

Comment 3 Mark J. Cox 2005-02-03 16:16:13 UTC
public, removing embargo

Comment 4 Sergio Monteiro Basto 2005-02-08 20:59:55 UTC
hi ,
since I upgrade to python-2.3.4-13.1 , enablerepo stops to work !

yum -y --enablerepo=dag install xine-lib-devel
Setting up Install Process
Setting up Repo:  dag
repomd.xml                100% |=========================|  951 B    00:00
Setting up Repo:  updates-released
repomd.xml                100% |=========================|  951 B    00:00
Setting up Repo:  base
repomd.xml                100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Traceback (most recent call last):
  File "/usr/bin/yum", line 7, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 68, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 387, in doCommands
    return self.installPkgs()
  File "/usr/share/yum-cli/cli.py", line 700, in installPkgs
    self.doRepoSetup()
  File "/usr/share/yum-cli/cli.py", line 80, in doRepoSetup
    self.doSackSetup()
  File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 138,
in doSackSetup
    self.repos.populateSack()
  File "/usr/lib/python2.3/site-packages/yum/repos.py", line 207, in
populateSack
    dobj = repo.cacheHandler.getPrimary(xml, csum)
  File "/usr/lib/python2.3/site-packages/yum/mdcache.py", line 103, in
getPrimary
    return self._getGeneric('metadata', location, checksum)
  File "/usr/lib/python2.3/site-packages/yum/mdcache.py", line 90, in
_getGeneric
    databank = self._unpickle(piklfile)
  File "/usr/lib/python2.3/site-packages/yum/mdcache.py", line 62, in
_unpickle
    obj = cPickle.load(infh)
EOFError

Comment 5 Sergio Monteiro Basto 2005-02-09 00:54:22 UTC
sorry guys, false alarm, yum beging to work again. :-D

Comment 6 Mihai Ibanescu 2005-02-09 16:32:22 UTC
Oops, wrong bug closed. Reopening.

Comment 7 Mihai Ibanescu 2005-02-09 16:33:09 UTC
2.3.4-13.1 shipped with FC3 should have this problem fixed.


Note You need to log in before you can comment on or make changes to this bug.